// This is a JavaScript module that is loaded on demand. It can export any number of
// functions, and may import other JavaScript modules if required.

export function init(dotNetObject, element, sitekeyValue) {

    if (typeof grecaptcha == 'undefined') {
        console.error('Google Recaptcha script is missing. Please add it in index.html:', '<script src="https://www.google.com/recaptcha/api.js"></script>');
    }

    var tag = document.createElement("div");
    element.innerHTML = '';
    element.appendChild(tag);

    return grecaptcha.render(tag, {
        'sitekey': sitekeyValue,
        'callback': (response) => { dotNetObject.invokeMethodAsync('CallbackOnSuccess', response); },
        'expired-callback': () => { dotNetObject.invokeMethodAsync('CallbackOnExpired', response); }
    });
};

export function getResponse(response) {
    return grecaptcha.getResponse(response);
} 